Skip to main content
GET
/sshkeys/{id}/info

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The ssh key id

Response

200 - application/json

Return an SshKey object.

id
string
required

The ID of the SSH Key.

Example:

"78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40"

name
string
required

The name of the SSH Key.

Example:

"My ssh key"

public_key
string
required

The public key.

Example:

"ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAklOUpkDHrfHY17SbrmTIpNLTGK9Tjom/BWDSU GPl+nafzlHDTYW7hdI4yZ5ew18JH4JW9jbhUFrviQzM7xlELEVf4h9lFX5QVkbPppSwg0cda3 Pbv7kOdJ/MTyBlWXFCR+HAo3FXRitBqxiX1nKhXpHAZsMciLq8V6RjsNAQwdsdMFvSlVK/7XA t3FaoJoAsncM1Q9x5+3V0Ww68/eIFmb1zuUFljQJKprrX88XypNDvjYNby6vw/Pb0rwert/En mZ+AW4OZPnTPI89ZPmVMLuayrD2cE86Z/il8b+gw3r3+1nKatmIkjn2so1d01QraTlMqVSsbx NrRFi9wrf+M7Q== schacon@mylaptop.local"

is_default
boolean
required

Indicates the default key.

Example:

false